FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

Funnel Groups

Download schema

API endpoints to manage funnel groups (campaigns)


deprecated

List funnel groups

GET
https://api.funnelflux.pro/v1
/campaign/list/

List all campaigns (DEPRECATED - use /funnelgroup/list/ instead)

List funnel groups › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all

List funnel groups › Responses

List of campaigns

​CampaignInfo[]
CampaignInfo
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
​FunnelInfo[]
GET/campaign/list/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/campaign/list?status=%3Cstring%3E'
Example Responses
[ { "idCampaign": "idCampaign", "campaignName": "campaignName", "status": "active", "funnels": [ { "idFunnel": "idFunnel", "funnelName": "funnelName", "status": "active", "idFunnelGroup": "idFunnelGroup", "funnelGroupName": "funnelGroupName" } ] } ]
json
application/json

deprecated

Find funnel group by ID

GET
https://api.funnelflux.pro/v1
/campaign/find/byId/

Retrieve a campaign by its id (DEPRECATED - use /funnelgroup/find/byId/ instead)

Find funnel group by ID › query Parameters

idCampaign
​string · required

The ID of the funnel group to retrieve

Find funnel group by ID › Responses

The requested campaign

Campaign
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

​object

Query parameters to add to the tracking url for all the funnels of this campaign, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/campaign/find/byId/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/campaign/find/byId?idCampaign=%3Cstring%3E'
Example Responses
{ "idCampaign": "1", "campaignName": "campaignName" }
json
application/json

Find funnel groups by ID list

GET
https://api.funnelflux.pro/v1
/campaign/find/byIds/

Retrieve all campaigns with the specified ids

Find funnel groups by ID list › query Parameters

idCampaigns
​string · required

List of the funnel group IDs to retrieve

Find funnel groups by ID list › Responses

List of campaigns with the specified status

​Campaign[]
Campaign
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

​object

Query parameters to add to the tracking url for all the funnels of this campaign, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/campaign/find/byIds/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/campaign/find/byIds?idCampaigns=%3Cstring%3E'
Example Responses
[ { "idCampaign": "1", "campaignName": "campaignName" } ]
json
application/json

Find funnel groups by status

GET
https://api.funnelflux.pro/v1
/campaign/find/byStatus/

Retrieve all funnel groups (campaigns) with the specified status. Returns slim projection (same as list endpoint). Use find/byId for full objects.

Find funnel groups by status › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all

Find funnel groups by status › Responses

List of funnel groups with the specified status

​CampaignInfo[]
CampaignInfo
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
​FunnelInfo[]
GET/campaign/find/byStatus/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/campaign/find/byStatus?status=%3Cstring%3E'
Example Responses
[ { "idCampaign": "idCampaign", "campaignName": "campaignName", "status": "active", "funnels": [ { "idFunnel": "idFunnel", "funnelName": "funnelName", "status": "active", "idFunnelGroup": "idFunnelGroup", "funnelGroupName": "funnelGroupName" } ] } ]
json
application/json

Update a funnel group

PUT
https://api.funnelflux.pro/v1
/campaign/save/

Update an existing campaign. The id cannot be changed.

Update a funnel group › Request Body

Campaign
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

​object

Query parameters to add to the tracking url for all the funnels of this campaign, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Update a funnel group › Responses

Campaign updated successfully

No data returned
PUT/campaign/save/
curl --request PUT \ --url https://api.funnelflux.pro/v1/campaign/save \ --header 'Content-Type: application/json' \ --data ' { "idCampaign": "1", "campaignName": "campaignName" } '
Example Request Body
{ "idCampaign": "1", "campaignName": "campaignName" }
json
Example Responses
No example specified for this content type

Create a funnel group

POST
https://api.funnelflux.pro/v1
/campaign/save/

Create a new campaign

Create a funnel group › Request Body

Campaign
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

​object

Query parameters to add to the tracking url for all the funnels of this campaign, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Create a funnel group › Responses

Campaign created successfully

No data returned
POST/campaign/save/
curl --request POST \ --url https://api.funnelflux.pro/v1/campaign/save \ --header 'Content-Type: application/json' \ --data ' { "idCampaign": "1", "campaignName": "campaignName" } '
Example Request Body
{ "idCampaign": "1", "campaignName": "campaignName" }
json
Example Responses
No example specified for this content type

Duplicate a funnel group

POST
https://api.funnelflux.pro/v1
/campaign/duplicate/

Create duplicate of existing campaign.

Duplicate a funnel group › query Parameters

idCampaign
​string · required

ID of the campaign to duplicate.

Duplicate a funnel group › Request Body

DuplicateRequest
name
​string · minLength: 1 · maxLength: 256 · required

Name for the new asset

parentId
​string

Optional parent/category ID for the new asset

​object

Optional field overrides to merge into the duplicated asset. Keys are JSON field names (e.g. baseURL, trackingFieldSlots). Protected fields (ID, owner, status) cannot be changed via this field — they are always set by the server after the merge.

Duplicate a funnel group › Responses

The newly created campaign

DuplicateResponse
id
​string

ID of the newly created asset

POST/campaign/duplicate/
curl --request POST \ --url 'https://api.funnelflux.pro/v1/campaign/duplicate?idCampaign=%3Cstring%3E' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "parentId": "parentId", "bodyUpdates": {} } '
Example Request Body
{ "name": "name", "parentId": "parentId", "bodyUpdates": {} }
json
Example Responses
{ "id": "id" }
json
application/json

Delete a funnel group

DELETE
https://api.funnelflux.pro/v1
/campaign/delete/

Delete the specified campaigns/funnel groups. Omitted cascade options preserve existing behavior and do not mutate child funnels. cascade deletes child funnels, move reassigns child funnels to targetParentID, orphan is rejected because funnels require idFunnelGroup.

Delete a funnel group › Request Body

ParentMutationRequest
entries
​string[] · minItems: 1 · required

Parent IDs to delete or archive. Delete endpoints also keep their legacy query-ID fallback.

cascadeAction
​string · enum

Optional child handling action. Omit to preserve each endpoint's existing behavior.

Enum values:
cascade
move
orphan
targetParentID
​string

Required when cascadeAction is move. Rejected for other actions.

Delete a funnel group › Responses

Campaigns deleted successfully

No data returned
DELETE/campaign/delete/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/campaign/delete \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" } '
Example Request Body
{ "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" }
json
Example Responses
No example specified for this content type

Archive funnel groups

PUT
https://api.funnelflux.pro/v1
/campaign/archive/

Archive the specified campaigns/funnel groups. Omitted cascade options preserve existing behavior and do not mutate child funnels. cascade archives child funnels, move reassigns child funnels to targetParentID, orphan is rejected because funnels require idFunnelGroup.

Archive funnel groups › Request Body

ParentMutationRequest
entries
​string[] · minItems: 1 · required

Parent IDs to delete or archive. Delete endpoints also keep their legacy query-ID fallback.

cascadeAction
​string · enum

Optional child handling action. Omit to preserve each endpoint's existing behavior.

Enum values:
cascade
move
orphan
targetParentID
​string

Required when cascadeAction is move. Rejected for other actions.

Archive funnel groups › Responses

Campaigns archived successfully

No data returned
PUT/campaign/archive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/campaign/archive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" } '
Example Request Body
{ "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" }
json
Example Responses
No example specified for this content type

List funnel groups

GET
https://api.funnelflux.pro/v1
/funnelgroup/list/

List all funnel groups (campaigns) - V2 endpoint

List funnel groups › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all

List funnel groups › Responses

List of funnel groups

​FunnelGroupInfo[]
FunnelGroupInfo
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
​FunnelInfo[]
GET/funnelgroup/list/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/funnelgroup/list?status=%3Cstring%3E'
Example Responses
[ { "idFunnelGroup": "idFunnelGroup", "funnelGroupName": "funnelGroupName", "status": "active", "funnels": [ { "idFunnel": "idFunnel", "funnelName": "funnelName", "status": "active", "idFunnelGroup": "idFunnelGroup", "funnelGroupName": "funnelGroupName" } ] } ]
json
application/json

Find funnel group by ID

GET
https://api.funnelflux.pro/v1
/funnelgroup/find/byId/

Retrieve a funnel group by its id - V2 endpoint

Find funnel group by ID › query Parameters

idFunnelGroup
​string · required

The ID of the funnel group to retrieve

Find funnel group by ID › Responses

The requested funnel group

FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/funnelgroup/find/byId/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/funnelgroup/find/byId?idFunnelGroup=%3Cstring%3E'
Example Responses
{ "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" }
json
application/json

Find funnel groups by ID list

GET
https://api.funnelflux.pro/v1
/funnelgroup/find/byIds/

Retrieve all funnel groups with the specified ids - V2 endpoint

Find funnel groups by ID list › query Parameters

idFunnelGroups
​string · required

List of the funnel group IDs to retrieve

Find funnel groups by ID list › Responses

List of funnel groups with the specified status

​FunnelGroup[]
FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/funnelgroup/find/byIds/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/funnelgroup/find/byIds?idFunnelGroups=%3Cstring%3E'
Example Responses
[ { "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" } ]
json
application/json

Find funnel groups by status

GET
https://api.funnelflux.pro/v1
/funnelgroup/find/byStatus/

Retrieve all funnel groups with the specified status. Returns slim projection (same as list endpoint). Use find/byId for full objects. Note: Response uses CampaignInfo field names (idCampaign, campaignName) for backward compatibility.

Find funnel groups by status › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all

Find funnel groups by status › Responses

List of funnel groups with the specified status

​CampaignInfo[]
CampaignInfo
idCampaign
​string · required

ID of the campaign

campaignName
​string · minLength: 1 · maxLength: 256 · required

Campaign's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
​FunnelInfo[]
GET/funnelgroup/find/byStatus/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/funnelgroup/find/byStatus?status=%3Cstring%3E'
Example Responses
[ { "idCampaign": "idCampaign", "campaignName": "campaignName", "status": "active", "funnels": [ { "idFunnel": "idFunnel", "funnelName": "funnelName", "status": "active", "idFunnelGroup": "idFunnelGroup", "funnelGroupName": "funnelGroupName" } ] } ]
json
application/json

Update an existing funnel group

PUT
https://api.funnelflux.pro/v1
/funnelgroup/save/

Update an existing funnel group - V2 endpoint

Update an existing funnel group › Request Body

FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Update an existing funnel group › Responses

Funnel group updated successfully

FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

PUT/funnelgroup/save/
curl --request PUT \ --url https://api.funnelflux.pro/v1/funnelgroup/save \ --header 'Content-Type: application/json' \ --data ' { "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" } '
Example Request Body
{ "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" }
json
Example Responses
{ "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" }
json
application/json

Create a new funnel group

POST
https://api.funnelflux.pro/v1
/funnelgroup/save/

Create a new funnel group - V2 endpoint

Create a new funnel group › Request Body

FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Create a new funnel group › Responses

Funnel group created successfully

FunnelGroup
idFunnelGroup
​string · required

ID of the funnel group

funnelGroupName
​string · minLength: 1 · maxLength: 256 · required

Funnel group's name.

​object

Query parameters to add to the tracking url for all the funnels of this funnel group, unless a specific funnel overwrites them

defaultCost
​string
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

POST/funnelgroup/save/
curl --request POST \ --url https://api.funnelflux.pro/v1/funnelgroup/save \ --header 'Content-Type: application/json' \ --data ' { "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" } '
Example Request Body
{ "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" }
json
Example Responses
{ "idFunnelGroup": "1", "funnelGroupName": "funnelGroupName" }
json
application/json

Duplicate a funnel group

POST
https://api.funnelflux.pro/v1
/funnelgroup/duplicate/

Duplicate an existing funnel group.

Duplicate a funnel group › query Parameters

idFunnelGroup
​string · required

ID of the funnel group to duplicate.

Duplicate a funnel group › Request Body

DuplicateRequest
name
​string · minLength: 1 · maxLength: 256 · required

Name for the new asset

parentId
​string

Optional parent/category ID for the new asset

​object

Optional field overrides to merge into the duplicated asset. Keys are JSON field names (e.g. baseURL, trackingFieldSlots). Protected fields (ID, owner, status) cannot be changed via this field — they are always set by the server after the merge.

Duplicate a funnel group › Responses

Funnel group duplicated successfully

DuplicateResponse
id
​string

ID of the newly created asset

POST/funnelgroup/duplicate/
curl --request POST \ --url 'https://api.funnelflux.pro/v1/funnelgroup/duplicate?idFunnelGroup=%3Cstring%3E' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "parentId": "parentId", "bodyUpdates": {} } '
Example Request Body
{ "name": "name", "parentId": "parentId", "bodyUpdates": {} }
json
Example Responses
{ "id": "id" }
json
application/json

Delete a funnel group

DELETE
https://api.funnelflux.pro/v1
/funnelgroup/delete/

Delete a funnel group - V2 endpoint. Omitted cascade options preserve existing behavior and do not mutate child funnels. cascade deletes child funnels, move reassigns child funnels to targetParentID, orphan is rejected because funnels require idFunnelGroup.

Delete a funnel group › query Parameters

idFunnelGroup
​string

Legacy single funnel group ID fallback.

Delete a funnel group › Request Body optional

ParentMutationRequest
entries
​string[] · minItems: 1 · required

Parent IDs to delete or archive. Delete endpoints also keep their legacy query-ID fallback.

cascadeAction
​string · enum

Optional child handling action. Omit to preserve each endpoint's existing behavior.

Enum values:
cascade
move
orphan
targetParentID
​string

Required when cascadeAction is move. Rejected for other actions.

Delete a funnel group › Responses

Funnel group deleted successfully

No data returned
DELETE/funnelgroup/delete/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/funnelgroup/delete \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" } '
Example Request Body
{ "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" }
json
Example Responses
No example specified for this content type

Archive funnel groups

PUT
https://api.funnelflux.pro/v1
/funnelgroup/archive/

Archive the specified funnel groups. Omitted cascade options preserve existing behavior and do not mutate child funnels. cascade archives child funnels, move reassigns child funnels to targetParentID, orphan is rejected because funnels require idFunnelGroup.

Archive funnel groups › Request Body

ParentMutationRequest
entries
​string[] · minItems: 1 · required

Parent IDs to delete or archive. Delete endpoints also keep their legacy query-ID fallback.

cascadeAction
​string · enum

Optional child handling action. Omit to preserve each endpoint's existing behavior.

Enum values:
cascade
move
orphan
targetParentID
​string

Required when cascadeAction is move. Rejected for other actions.

Archive funnel groups › Responses

Funnel groups archived successfully

No data returned
PUT/funnelgroup/archive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/funnelgroup/archive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" } '
Example Request Body
{ "entries": [ "parent-id" ], "cascadeAction": "move", "targetParentID": "target-parent-id" }
json
Example Responses
No example specified for this content type

Unarchive funnel groups

PUT
https://api.funnelflux.pro/v1
/funnelgroup/unarchive/

Unarchive the specified funnel groups

Unarchive funnel groups › Request Body

StringList
entries
​string[] · required

Unarchive funnel groups › Responses

Funnel groups unarchived successfully

No data returned
PUT/funnelgroup/unarchive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/funnelgroup/unarchive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Offer SourcesFunnels